QGIS Application - Bug report #3868
clipping raster: wrong result
2011-06-04 10:49 AM - alobo -

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13926
Description

I'm clipping an srtm90 raster using a rectangular window and the
result is wrong:

1. Wrong window

2. The result has an additional layer with constant 255 value

I've put the input raster, input vector and output raster here:
http://dl.dropbox.com/u/3180464/srtm_37 04.zip
http://dl.dropbox.com/u/3180464/FIxPyrAQI1.zip
http://dl.dropbox.com/u/3180464/srtm3704FP2.zip

Please give it a look before | actually fill a bug report.

Surprisingly, the srtm90 tile to the W gets clipped right with the
same vector (except that
the constant 255 band is also present).

History

#1 - 2011-09-01 04:17 AM - Giuseppe Sucameli
- Pull Request or Patch supplied set to No

clipping an srtm90 raster using a rectangular window

1. Wrong window

It seems good on my Ubuntu and GDAL 1.8, probably it's due to a different GDAL version.

2. The result has an additional layer with constant 255 value

This was fixed times ago.
The additional alpha band is available only when using cutline, but it's optional.

#2 - 2011-09-01 04:18 AM - Giuseppe Sucameli
- Resolution set to fixed
- Status changed from Open to Closed
http://dl.dropbox.com/u/3180464/srtm_37_04.zip
http://dl.dropbox.com/u/3180464/FlxPyrAOI1.zip
http://dl.dropbox.com/u/3180464/srtm3704FP2.zip
